Package: org.codehaus.groovy.tools.shell.util

## [Groovy] Class NoExitSecurityManager

- org.codehaus.groovy.tools.shell.util.NoExitSecurityManager

- Custom security manager to System.exit (and related) from being used.

  Version:
    \$Rev\$ \$Date\$

- - ### Constructor Summary

    Constructors
    Constructor and description
    `NoExitSecurityManager (SecurityManager parent)`
    `NoExitSecurityManager ()`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `checkExit(int code)` Always throws SecurityException.
    `void` | `checkPermission(Permission perm)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class SecurityManager` | `checkAwtEventQueueAccess, checkPackageDefinition, checkPrintJobAccess, checkSystemClipboardAccess, checkTopLevelWindow, getInCheck, getSecurityContext, checkAccept, checkListen, checkMulticast, checkMulticast, checkSecurityAccess, checkPackageAccess, checkMemberAccess, checkPermission, checkPermission, checkCreateClassLoader, checkPropertiesAccess, checkPropertyAccess, getThreadGroup, checkAccess, checkAccess, checkExit, checkLink, checkRead, checkRead, checkRead, checkWrite, checkWrite, checkDelete, checkExec, checkConnect, checkConnect, checkSetFactory, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### NoExitSecurityManager(SecurityManager parent)

    - #### NoExitSecurityManager()

  - ### Method Detail

    - #### void checkExit(int code)

      Always throws SecurityException.

    - #### void checkPermission(Permission perm)